EJBQLTokenManager (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.ejbql.parser, class: EJBQLTokenManager

# Class EJBQLTokenManager

java.lang.Object
org.apache.cayenne.ejbql.parser.EJBQLTokenManager

All Implemented Interfaces:
  `EJBQLConstants`

public class EJBQLTokenManager extends Object implements EJBQLConstants
Token Manager.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected char`
  `curChar`
  `PrintStream`
  `debugStream`
  Debug output.
  `protected JavaCharStream`
  `input_stream`
  `static final String[]`
  `jjstrLiteralImages`
  Token literal values.
  `static final String[]`
  `lexStateNames`
  Lexer state names.

  ### Fields inherited from interface EJBQLConstants

  `ABS, ALL, AND, ANY, AS, ASC, AVG, BETWEEN, BOOLEAN_LITERAL, BOTH, BY, CHARACTER_LITERAL, COMMA, CONCAT, COUNT, CURRENT_DATE, CURRENT_TIME, CURRENT_TIMESTAMP, DECIMAL_LITERAL, DEFAULT, DELETE, DESC, DIGIT, DISTINCT, DIV, DOT, EMPTY, EOF, EQ, ESCAPE, EXISTS, EXPONENT, FETCH, FROM, GE, GROUP, GT, HAVING, IDENTIFIER, IN, INNER, INTEGER_LITERAL, IS, JOIN, LE, LEADING, LEFT, LENGTH, LETTER, LIKE, LOCATE, LOWER, LT, MAX, MEMBER, MIN, MINUS, MOD, NE, NEW, NOT, NULL, OBJECT, OF, OR, ORDER, OUTER, PLUS, SELECT, SET, SIZE, SOME, SQRT, STRING_LITERAL, SUBSTRING, SUM, TIMES, tokenImage, TRAILING, TRIM, UPDATE, UPPER, WHERE`
  Modifier and Type
  Field
  Description
  `static final int`
  `ABS`
  RegularExpression Id.
  `static final int`
  `ALL`
  RegularExpression Id.
  `static final int`
  `AND`
  RegularExpression Id.
  `static final int`
  `ANY`
  RegularExpression Id.
  `static final int`
  `AS`
  RegularExpression Id.
  `static final int`
  `ASC`
  RegularExpression Id.
  `static final int`
  `AVG`
  RegularExpression Id.
  `static final int`
  `BETWEEN`
  RegularExpression Id.
  `static final int`
  `BOOLEAN_LITERAL`
  RegularExpression Id.
  `static final int`
  `BOTH`
  RegularExpression Id.
  `static final int`
  `BY`
  RegularExpression Id.
  `static final int`
  `CHARACTER_LITERAL`
  RegularExpression Id.
  `static final int`
  `COMMA`
  RegularExpression Id.
  `static final int`
  `CONCAT`
  RegularExpression Id.
  `static final int`
  `COUNT`
  RegularExpression Id.
  `static final int`
  `CURRENT_DATE`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIME`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIMESTAMP`
  RegularExpression Id.
  `static final int`
  `DECIMAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DELETE`
  RegularExpression Id.
  `static final int`
  `DESC`
  RegularExpression Id.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DISTINCT`
  RegularExpression Id.
  `static final int`
  `DIV`
  RegularExpression Id.
  `static final int`
  `DOT`
  RegularExpression Id.
  `static final int`
  `EMPTY`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EQ`
  RegularExpression Id.
  `static final int`
  `ESCAPE`
  RegularExpression Id.
  `static final int`
  `EXISTS`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `FETCH`
  RegularExpression Id.
  `static final int`
  `FROM`
  RegularExpression Id.
  `static final int`
  `GE`
  RegularExpression Id.
  `static final int`
  `GROUP`
  RegularExpression Id.
  `static final int`
  `GT`
  RegularExpression Id.
  `static final int`
  `HAVING`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `IN`
  RegularExpression Id.
  `static final int`
  `INNER`
  RegularExpression Id.
  `static final int`
  `INTEGER_LITERAL`
  RegularExpression Id.
  `static final int`
  `IS`
  RegularExpression Id.
  `static final int`
  `JOIN`
  RegularExpression Id.
  `static final int`
  `LE`
  RegularExpression Id.
  `static final int`
  `LEADING`
  RegularExpression Id.
  `static final int`
  `LEFT`
  RegularExpression Id.
  `static final int`
  `LENGTH`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LIKE`
  RegularExpression Id.
  `static final int`
  `LOCATE`
  RegularExpression Id.
  `static final int`
  `LOWER`
  RegularExpression Id.
  `static final int`
  `LT`
  RegularExpression Id.
  `static final int`
  `MAX`
  RegularExpression Id.
  `static final int`
  `MEMBER`
  RegularExpression Id.
  `static final int`
  `MIN`
  RegularExpression Id.
  `static final int`
  `MINUS`
  RegularExpression Id.
  `static final int`
  `MOD`
  RegularExpression Id.
  `static final int`
  `NE`
  RegularExpression Id.
  `static final int`
  `NEW`
  RegularExpression Id.
  `static final int`
  `NOT`
  RegularExpression Id.
  `static final int`
  `NULL`
  RegularExpression Id.
  `static final int`
  `OBJECT`
  RegularExpression Id.
  `static final int`
  `OF`
  RegularExpression Id.
  `static final int`
  `OR`
  RegularExpression Id.
  `static final int`
  `ORDER`
  RegularExpression Id.
  `static final int`
  `OUTER`
  RegularExpression Id.
  `static final int`
  `PLUS`
  RegularExpression Id.
  `static final int`
  `SELECT`
  RegularExpression Id.
  `static final int`
  `SET`
  RegularExpression Id.
  `static final int`
  `SIZE`
  RegularExpression Id.
  `static final int`
  `SOME`
  RegularExpression Id.
  `static final int`
  `SQRT`
  RegularExpression Id.
  `static final int`
  `STRING_LITERAL`
  RegularExpression Id.
  `static final int`
  `SUBSTRING`
  RegularExpression Id.
  `static final int`
  `SUM`
  RegularExpression Id.
  `static final int`
  `TIMES`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TRAILING`
  RegularExpression Id.
  `static final int`
  `TRIM`
  RegularExpression Id.
  `static final int`
  `UPDATE`
  RegularExpression Id.
  `static final int`
  `UPPER`
  RegularExpression Id.
  `static final int`
  `WHERE`
  RegularExpression Id.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EJBQLTokenManager(JavaCharStream stream)`
  Constructor.
  `EJBQLTokenManager(JavaCharStream stream, int lexState)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Token`
  `getNextToken()`
  Get the next Token.
  `protected Token`
  `jjFillToken()`
  `void`
  `ReInit(JavaCharStream stream)`
  Reinitialise parser.
  `void`
  `ReInit(JavaCharStream stream, int lexState)`
  Reinitialise parser.
  `void`
  `setDebugStream(PrintStream ds)`
  Set debug output.
  `void`
  `SwitchTo(int lexState)`
  Switch to specified lex state.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### debugStream

    public PrintStream debugStream
    Debug output.

  - ### jjstrLiteralImages

    public static final String[] jjstrLiteralImages
    Token literal values.

  - ### lexStateNames

    public static final String[] lexStateNames
    Lexer state names.

  - ### input_stream

    protected JavaCharStream input_stream

  - ### curChar

    protected char curChar

- ## Constructor Details

  - ### EJBQLTokenManager

    public EJBQLTokenManager(JavaCharStream stream)
    Constructor.

  - ### EJBQLTokenManager

    public EJBQLTokenManager(JavaCharStream stream, int lexState)
    Constructor.

- ## Method Details

  - ### setDebugStream

    public void setDebugStream(PrintStream ds)
    Set debug output.

  - ### ReInit

    public void ReInit(JavaCharStream stream)
    Reinitialise parser.

  - ### ReInit

    public void ReInit(JavaCharStream stream, int lexState)
    Reinitialise parser.

  - ### SwitchTo

    public void SwitchTo(int lexState)
    Switch to specified lex state.

  - ### jjFillToken

    protected Token jjFillToken()

  - ### getNextToken

    public Token getNextToken()
    Get the next Token.